package ch.unige.solidify.test.controller.service.rest;

import org.springframework.stereotype.Service;

import ch.unige.solidify.service.RemoteResourceService;
import ch.unige.solidify.test.controller.MockSolidifyRestClientService;
import ch.unige.solidify.test.controller.dao.MockUser;

@Service
public class MockUserRemoteResourceService extends RemoteResourceService<MockUser> {

  public MockUserRemoteResourceService() {
    super(new MockSolidifyRestClientService(null, null));
  }

  @Override
  protected Class<MockUser> getResourceClass() {
    return MockUser.class;
  }

  @Override
  protected String getResourceUrl() {
    return "/";
  }
}
