package ch.unige.solidify.test.converter;

import static org.junit.jupiter.api.Assertions.assertEquals;

import org.junit.jupiter.api.Test;

import ch.unige.solidify.converter.FrenchBooleanConverter;

class FrenchBooleanConverterTest {

  FrenchBooleanConverter testConv = new FrenchBooleanConverter();

  @Test
  void convertFalseToEntAtt_returnN() {
    assertEquals(false, this.testConv.convertToEntityAttribute("N"));
  }

  @Test
  void convertNToDBColumn_returnTrue() {
    assertEquals("N", this.testConv.convertToDatabaseColumn(false));
  }

  @Test
  void convertNullToDBColumn_returnNull() {
    assertEquals(null, this.testConv.convertToDatabaseColumn(null));
  }

  @Test
  void convertNullToEntAtt_returnNull() {
    assertEquals(null, this.testConv.convertToEntityAttribute(null));
  }

  @Test
  void convertOToDBColumn_returnTrue() {
    assertEquals("O", this.testConv.convertToDatabaseColumn(true));
  }

  @Test
  void convertTrueToEntAtt_returnO() {
    assertEquals(true, this.testConv.convertToEntityAttribute("O"));
  }
}
